/**
 * 接口列表文件
 */
export default {
	// login:{url:'hanhai/api/applet/login',auth:false,method:'GET',headers:{'content-type':'application/json'}},
	/**
	 * 登录
	 */
	login:{url:'api/applet/login', auth:false, method:'GET'},
	/**
	 * 微信支付 -- 微信
	 */
	Pay:{url:'api/pay/xcx', auth:true, method:'GET'},
	/**
	 * 微信支付 -- 充值
	 */
	rechargePay:{url:'api/pay/recharge', auth:true, method:'GET'},

	/**
	 * 兑购支付-兑购
	 */
	integralPay:{url:'api/pay/integral', auth:true, method:'GET'},
	/**
	 * 消费金支付-消费金
	 */
	consumptionPay:{url:'api/pay/consumption', auth:true, method:'GET'},
	/**
	 * 消费金支付-VIP支付
	 */
	vipPay:{url:'api/pay/vip', auth:true, method:'GET'},
	/**
	 * 微信小程序支付-VIP升级到其他角色
	 */
	vipRolePay:{url:'api/pay/role/vip', auth:true, method:'GET'},
	/**
	 * 绑定手机号
	 */
	getPhone:{url:'api/applet/bind/phone', auth:false, method:'POST'},
	/**
	 * 隐私协议
	 */
	getAgreement:{url:'api/protocol/user/agreement', auth:false, method:'GET'},
	/**
	 * 轮播图
	 */
	getBanner:{url:'api/banner/index', auth:false, method:'GET'},
	/**
	 * 滚动公告
	 */
	getNotice:{url:'api/notice/index', auth:false, method:'GET'},
	/**
	 * 首页按钮 
	 */
	getHomeButton:{url:'api/botton/index', auth:false, method:'GET'},
	/**
	 * 搜索热搜
	 */
	getHotList:{url:'api/index/hot/list', auth:false, method:'GET'},
	/**
	 * 个人中心按钮数据  
	 */
	getMyButton:{url:'api/botton/center', auth:false, method:'GET'},
	/**
	 * 个人中心推广二维码 
	 */
	getExtension:{url:'api/info/extension', auth:true, method:'GET'},
	/**
	 * 首页 获取我获得的礼包 
	 */
	getGift:{url:'api/gift/my', auth:true, method:'GET'},
	/**
	 * 首页 领取我的礼包 
	 */
	getGiftSave:{url:'api/gift/save', auth:true, method:'POST'},
	/**
	 * 获取用户信息
	 */
	getUserInfo: {url:'api/info/user', auth:true, method:'GET'},
	/**
	 * 编辑用户信息
	 */
	editUserInfo: {url:'api/info/edit/user',auth:true,method:'POST'},
	/**
	 * 商品列表数据信息
	 */
	getGoodsList: {url:'api/goods/list',auth:false,method:'GET'},
	/**
	 * 商品详情
	 */
	getGoodsdetail: {url:'api/goods/detail',auth:true,method:'GET'},
	/**
	 * 评价
	 */
	getGoodsPing: {url:'api/goods/ping',auth:true,method:'GET'},
	/**
	 * 商品分类数据信息
	 */
	getGoodsClassList: {url:'api/goods/class/list',auth:false,method:'GET'},
	/**
	 * 专区分类
	 */
	getButClassList: {url:'api/goods/class/but',auth:false,method:'GET'},
	
	
	
	/**
	 * 商品详情-关联商品列表带分页
	 */
	getGoodsRelationList: {url:'api/goods/relation/list',auth:false,method:'GET'},
	
	/**
	 *  我的  个人中心banner
	 *  auth  是否需要token
	 */ 
	getMyBanner: {url:'api/info/center/banner',auth:false,method:'GET'},  
	/**
	 *  我的  个人中心Notice
	 *  auth  是否需要token
	 */ 
	getMyNotice: {url:'api/info/center/notice',auth:false,method:'GET'},  
	
	
	
	
	
	
	/**
	 *  我的  预约订单列表 
	 *  auth  是否需要token
	 */ 
	getOrderYyList: {url:'api/order/order/yy/list',auth:true,method:'GET'},  
	
	
	
	
	
	
	
	/**
	 *  我的  订单列表 
	 *  auth  是否需要token
	 */ 
	getOrderList: {url:'api/order/order/list',auth:true,method:'GET'},  
	/**
	 *  我的  订单列表  取消订单  api/order/order/confirm
	 *  auth  是否需要token
	 */ 
	deleteOrderById: {url:'api/order/order/delete',auth:true,method:'GET'}, 
	 /**
	  *  我的  订单列表  确认收货 
	  *  auth  是否需要token
	  */ 
	 confirmOrderById: {url:'api/order/order/confirm',auth:true,method:'GET'}, 
	 /**
	  *  我的  订单列表  售后
	  *  auth  是否需要token
	  */ 
	 afterSalesOrderById: {url:'api/order/order/after/sales',auth:true,method:'POST'}, 
	 /**
	  *  我的  订单列表  售后配置
	  *  auth  是否需要token
	  */ 
	 afterListOrderById: {url:'api/order/after/list',auth:false,method:'GET'}, 
	 /**
	  *  我的  订单列表  订单详情  
	  *  auth  是否需要token
	  */ 
	 oneOrderById: {url:'api/order/order/one',auth:true,method:'GET'}, 
	 /**
	  *  我的  订单列表  订单支付  
	  *  auth  是否需要token
	  */ 
	 submitOrderById: {url:'api/order/submit/pay',auth:true,method:'POST'}, 
	/**
	 *  我的   消费金流水接口
	 *  auth  是否需要token
	 */ 
	getConsumptionGold: {url:'api/running/consumption/list',auth:true,method:'GET'},   
	/**
	 *  我的  兑购流水接口 
	 *  auth  是否需要token
	 */ 
	getInteger: {url:'api/running/integer/list',auth:true,method:'GET'}, 
	 /**
	  *  我的  钱包流水明细列表
	  *  auth  是否需要token
	  */ 
	 getPurseWaterList: {url:'api/running/wallet/list',auth:true,method:'GET'},  
	 /**
	  *  我的  我的粉丝列表
	  *  auth  是否需要token
	  */ 
	 getFansList: {url:'api/info/fans',auth:true,method:'GET'}, 
		/**
		 *  我的  查看自己所以可用优惠券
		 *  auth  是否需要token
		 */ 
		getCouponPage: {url:'api/coupon/page',auth:true,method:'GET'},
		/**
		 *  我的  收藏列表
		 *  auth  是否需要token
		 */ 
		getCollectionPages: {url:'api/collection/page',auth:true,method:'GET'},
		/**
		 *  我的  加入收藏列表 
		 *  auth  是否需要token
		 */ 
		saveCollectionPage: {url:'api/collection/save',auth:true,method:'GET'},  
		/**
		 *  我的  拍方抓药列表 
		 *  auth  是否需要token
		 */ 
		patterPage: {url:'api/patter/page',auth:true,method:'GET'},  
	/**
	 *  我的  留言建议
	 *  auth  是否需要token
	 */ 
	setFeedback: {url:'api/info/feedback',auth:true,method:'POST'},  
	/**
	 *  我的  代购需求
	 *  auth  是否需要token
	 */ 
	setPurchasingAgency: {url:'api/info/purchasing/agency',auth:true,method:'POST'},  
	/**
	 *  我的  查询渠道商是否存在
	 *  auth  是否需要token
	 */ 
	getIsChannel: {url:'api/channel/get',auth:true,method:'GET'},  
	/**
	 *  我的  渠道商申请
	 *  auth  是否需要token
	 */ 
	addChannel: {url:'api/channel/add',auth:true,method:'POST'},  
	/**
	 *  我的  渠道商申请编辑
	 *  auth  是否需要token
	 */ 
	editChannel: {url:'api/channel/edit',auth:true,method:'POST'},  
	/**
	 *  我的  渠道商申请编辑 api/channel/create/order
	 *  auth  是否需要token
	 */ 
	createChannel: {url:'api/channel/create/order',auth:true,method:'POST'},  
	/**
	 *  我的  查询站长是否存在
	 *  auth  是否需要token
	 */ 
	getIsStation: {url:'api/station/get',auth:true,method:'GET'},  
	/**
	 *  我的  渠道商钱包提现
	 *  auth  是否需要token
	 */ 
	getMoneyStation: {url:'api/channel/money/get',auth:true,method:'GET'},
	/**
	 *  我的  站长申请列表
	 *  auth  是否需要token
	 */ 
	getChannelStationmasterList: {url:'api/channel/stationmaster/list',auth:false,method:'GET'},
	/**
	 *  我的  站长申请---驳回
	 *  auth  是否需要token
	 */ 
	getStationmasterDel: {url:'api/channel/stationmaster/del',auth:true,method:'POST'},
	/**
	 *  我的  站长申请---通过 
	 *  auth  是否需要token
	 */ 
	getStationmasterEdit: {url:'api/channel/stationmaster/edit',auth:true,method:'POST'},
	/**
	 *  我的  渠道商我的团队 
	 *  auth  是否需要token
	 */ 
	getChannelDealerFans: {url:'api/info/channelDealer/fans',auth:true,method:'GET'},
	/**
	 *  我的  站长申请
	 *  auth  是否需要token
	 */ 
	addStation: {url:'api/station/add',auth:true,method:'POST'},  
	/**
	 *  我的  站长申请编辑
	 *  auth  是否需要token 
	 */ 
	editStation: {url:'api/station/edit',auth:true,method:'POST'},  
	/**
	 *  我的  查询站长申请支付-微信支付
	 *  auth  是否需要token 
	 */ 
	createStation: {url:'api/station/create/order',auth:true,method:'POST'},  
	/**
	 *  我的  站长个人中心基础数据
	 *  auth  是否需要token
	 */ 
	getStationmaster: {url:'api/info/stationmaster',auth:true,method:'GET'},  
	/**
	 *  我的  渠道商个人中心基础数据
	 *  auth  是否需要token
	 */ 
	getChannelDealer: {url:'api/info/channelDealer',auth:true,method:'GET'},  
	/**
	 *  我的  站长钱包提现 
	 *  auth  是否需要token
	 */ 
	getStationMoney: {url:'api/station/money/get',auth:true,method:'GET'},  
	/**
	 *  我的  订单列表---站长 
	 *  auth  是否需要token
	 */ 
	getStationOrderList: {url:'api/station/order/list',auth:true,method:'GET'},  
	/**
	 *  我的  奖励中心---站长
	 *  auth  是否需要token
	 */ 
	getStationMoneyList: {url:'api/station/money/list',auth:true,method:'GET'},  

	/**
	 *  我的  获取用户地址列表
	 *  auth  是否需要token
	 */ 
	getAddressList: {url:'api/address/list',auth:true,method:'GET'},  
	/**
	 *  我的  地址接口 添加
	 *  auth  是否需要token
	 */ 
	addAddress: {url:'api/address/add',auth:true,method:'POST'},  
	/**
	 *  我的  地址接口 通过id删除
	 *  auth  是否需要token
	 */ 
	deleteAddress: {url:'api/address/delete',auth:true,method:'DELETE'},  
	/**
	 *  我的  地址接口 编辑
	 *  auth  是否需要token
	 */ 
	editAddress: {url:'api/address/edit',auth:true,method:'POST'},  
	/**
	 *  我的  根据用户邀请码查询用户是否存在
	 *  auth  是否需要token
	 */ 
	invitationCode: {url:'api/running/get/invitation/code',auth:true,method:'GET'}, 
	/**
	 *  我的  存在用户点击开始赠送
	 *  auth  是否需要token
	 */ 
	awardPoints: {url:'api/running/give/user/integer',auth:true,method:'GET'}, 
	/**
	 *  我的  帮助中心基础数据列表
	 *  auth  是否需要token
	 */ 
	getHelpList: {url:'api/info/help/list',auth:true,method:'GET'}, 
	/**
	 *  我的  帮助中心基础数据-根据标识查询基础信息
	 *  auth  是否需要token
	 */ 
	getHelpGetOne: {url:'api/info/help/getOne',auth:true,method:'GET'}, 
	/**
	 *  我的  会员套餐列表数据
	 *  auth  是否需要token
	 */ 
	getVipList: {url:'api/vip/list',auth:true,method:'GET'},
	/**
	 *  我的  会员套餐续费列表数据
	 *  auth  是否需要token
	 */ 
	getVipRoleList: {url:'api/vip/role/list',auth:true,method:'GET'},
	/**
	 *  我的  实名认证 验证身份证信息
	 *  auth  是否需要token
	 */ 
	getCardAdd: {url:'api/card/add',auth:true,method:'POST'},
	
	
	/**
	 *  首页  站长列表数据-查询的就是门店地址信息列表 --> 首页顶端的切换中的列表
	 *  auth  是否需要token
	 */ 
	getStationmasterList: {url:'api/index/stationmaster/list',auth:false,method:'GET'},  
	
	/**
	 *  首页  充值明细列表
	 *  auth  是否需要token
	 */ 
	topUpDetail: {url:'api/recharge/log/list',auth:true,method:'GET'},  
	/**
	 *  首页  充值点击产生数据接口,当前未接支付
	 *  auth  是否需要token
	 */ 
	topUpOrder: {url:'api/recharge/log/save',auth:true,method:'GET'},  
	/**
	 *  首页  充值包接口列表
	 *  auth  是否需要token
	 */ 
	rechargeList: {url:'api/recharge/list',auth:true,method:'GET'},

	/**
	 *  首页   答题有奖 文章列表，带标题搜索，带分页
	 *  auth  是否需要token
	 */ 
	answerList: {url:'api/answer/article/list',auth:true,method:'GET'},  
	/**
	 *  首页   答题有奖 文章标识查询文章详情
	 *  auth  是否需要token
	 */ 
	answerDetale: {url:'api/answer/getOne',auth:true,method:'GET'},  
	/**
	 *  首页   答题有奖 文章标识获取题目列表的方法,不带分页，不带搜索
	 *  auth  是否需要token
	 */ 
	getSubjectList: {url:'api/answer/subject/list',auth:true,method:'GET'},  

	/**
	 *  首页   答题有奖 返回答题情况
	 *  auth  是否需要token
	 */ 
	getanswerGo: {url:'api/answer/answer/go',auth:true,method:'POST'}, 
	/**
	 *  首页   得到证件类型
	 *  auth  是否需要token
	 */ 
	addCardLabelList: {url:'api/goods/card/label/list',auth:true,method:'GET'},
	 /**
	  *  首页   增加用药人信息 
	  *  auth  是否需要token
	  */ 
	 addDrugUser: {url:'api/goods/save/drug/user',auth:true,method:'POST'},
	 /**
	  *  首页   用药人信息删除 通过id删除 
	  *  auth  是否需要token
	  */ 
	 deleteDrugUser: {url:'api/goods/delete/drug/user',auth:true,method:'POST'},
	 /**
	  *  首页   用药人信息查询 通过id查询
	  *  auth  是否需要token
	  */ 
	 getDrugUserById: {url:'api/goods/get/drug/user',auth:true,method:'POST'},
	 /**
	  *  首页   用药人信息列表 
	  *  auth  是否需要token
	  */ 
	 getDrugUserList: {url:'api/goods/get/drug/user/list',auth:true,method:'POST'},
	/**
	 *  首页   药品过敏信息列表
	 *  auth  是否需要token
	 */ 
	getAllergyList: {url:'api/goods/rug/allergy/list',auth:true,method:'GET'},
	/**
	 *  加入购物车
	 *  auth  是否需要token
	 */ 
	addShoppingCart: {url:'api/goods/relation/save',auth:true,method:'POST'},
	/**
	 *  获取购物车列表
	 *  auth  是否需要token
	 */ 
	getShoppingCartList: {url:'api/goods/shopping/list',auth:true,method:'GET'},
	
	/**
	 *  购物车列表数量加减
	 */ 
	setShoppingCartNum: {url:'api/goods/relation/num',auth:true,method:'POST'},
	/**
	 *  减少购物车列表
	 */ 
	delShoppingCart: {url:'api/goods/deleteBatch',auth:true,method:'POST'},
	// 获取结算页商品信息
	getConfirmOrderGoodsInfo: {url:'api/goods/shopping/ids',auth:true,method:'GET'},
	// 创建订单拉起支付
	createOrder: {url:'api/order/create/order',auth:true,method:'POST'},
	// 拼团兑购创建订单
	teamCreateOrder: {url:'api/order/order/team/create',auth:true,method:'POST'},
	// 拼团兑购支付
	teamCreateOrderPay: {url:'api/order/order/team/pay',auth:true,method:'POST'},
	// 增加防疫登记
	setPrevention: {url:'api/goods/saveEpidemic/prevention',auth:true,method:'POST'},
	// 增加拍方抓药信息
	patter: {url:'api/goods/save/patter',auth:true,method:'POST'},
	// 增加拍方抓药信息
	imageOne: {url:'api/image/one',auth:false,method:'GET'},
	// 首页基础NOTICE数据--根据标识查询
	noticeOne: {url:'api/notice/one',auth:true,method:'GET'},
	// 线下确诊疾病--添加
	offlineAdd: {url:'api/goods/confirmatory/disease',auth:true,method:'POST'},
	// 线下确诊疾病
	offlinediagnosisList: {url:'api/goods/offline/diagnosis/list',auth:true,method:'GET'},
	// 分享信息获取
	goodsFenGoods: {url:'api/goods/fen/goods',auth:true,method:'GET'},
	
	getPing: {url:'api/goods/ping',auth:true,method:'GET'},
	// 评论接口
	setCommit: {url:'api/goods/ping/add',auth:true,method:'GET'},
	// 是否申请售后了
	afterOrderId: {url:'api/order/after/orderId',auth:true,method:'GET'},
	// 站长	业绩总额与明细
	infoOrderLog: {url:'api/info/order/log',auth:true,method:'GET'},
	// 合伙人	业绩总额与明细
	infoOrderLog2: {url:'api/info/order/log2',auth:true,method:'GET'},
}
