import request from './http'

// 登录接口
export const getLogin = (params,succCallback,errorCallback) => {
	return request('api/applet/login',params,'GET',succCallback,errorCallback)
};

// 登录接口  获取手机号
export const getPhone = (params,succCallback,errorCallback) => {
	return request('api/applet/bind/phone',params,'POST',succCallback,errorCallback)
};

// 账号登录接口 
export const getAccount = (params,succCallback,errorCallback) => {
	return request('api/login/account',params,'POST',succCallback,errorCallback)
};

// 个人中心 用户信息接口 
export const getUserInfo = (params,succCallback,errorCallback) => {
	return request('api/info/user',params,'GET',succCallback,errorCallback)
};

// 个人中心 个人头像上传接口 api/info/edit/user
export const setUpload = (params,succCallback,errorCallback) => {
	return request('api/info/upload',params,'POST',succCallback,errorCallback)
};

// 个人中心 修改个人信息接口 
export const setUserInfo = (params,succCallback,errorCallback) => {
	return request('api/info/edit/user',params,'POST',succCallback,errorCallback)
};

// 个人中心 留言反馈接口 
export const setFeedback = (params,succCallback,errorCallback) => {
	return request('api/info/feedback',params,'POST',succCallback,errorCallback)
};

// 个人中心 代购需求接口 
export const setPurchasingAgency = (params,succCallback,errorCallback) => {
	return request('api/info/purchasing/agency',params,'POST',succCallback,errorCallback)
};

// 个人中心 查询渠道商是否存在 接口 
export const getIsChannel = (params,succCallback,errorCallback) => {
	return request('api/channel/get',params,'GET',succCallback,errorCallback)
};

// 个人中心 渠道商申请 接口 
export const addChannel = (params,succCallback,errorCallback) => {
	return request('api/channel/add',params,'POST',succCallback,errorCallback)
};

// 个人中心 查询站长是否存在 接口 
export const getIsStation = (params,succCallback,errorCallback) => {
	return request('api/station/get',params,'GET',succCallback,errorCallback)
};

// 个人中心 站长申请 接口 
export const addStation = (params,succCallback,errorCallback) => {
	return request('api/station/add',params,'POST',succCallback,errorCallback)
};

// 隐私协议接口 协议隐私说明0用户协议1隐私政策2充值说明3站长申请协议4渠道商申请协议5平台规则6平台公告7操作指南8平台文章9省钱攻略
export const getAgreement = (params,succCallback,errorCallback) => {
	return request('api/protocol/user/agreement',params,'GET',succCallback,errorCallback)
};
//  首页 轮播图接口
export const getBanner = (params,succCallback,errorCallback) => {
	return request('api/banner/index',params,'GET',succCallback,errorCallback)
};
// 首页 公告接口 
export const getNotice = (params,succCallback,errorCallback) => {
	return request('api/notice/index',params,'GET',succCallback,errorCallback)
};

// 我的 消费金流水接口 
export const getConsumptionGold = (params,succCallback,errorCallback) => {
	return request('api/running/account/list',params,'GET',succCallback,errorCallback)
};
// 我的 兑购流水接口 
export const getInteger = (params,succCallback,errorCallback) => {
	return request('api/running/integer/list',params,'GET',succCallback,errorCallback)
};
// 我的 钱包流水接口 
export const getWallet = (params,succCallback,errorCallback) => {
	return request('api/running/wallet/list',params,'GET',succCallback,errorCallback)
};

// 地址接口 添加
export const addAddress = (params,succCallback,errorCallback) => {
	return request('api/address/add',params,'POST',succCallback,errorCallback)
};
// 地址接口 通过id删除
export const deleteAddress = (params,succCallback,errorCallback) => {
	return request('api/address/delete',params,'DELETE',succCallback,errorCallback)
};
// 地址接口  post 编辑
export const editAddress = (params,succCallback,errorCallback) => {
	return request('api/address/edit',params,'POST',succCallback,errorCallback)
};
// 地址接口  PUT 编辑
export const edit2Address = (params,succCallback,errorCallback) => {
	return request('api/address/edit',params,'PUT',succCallback,errorCallback)
};
// 地址接口  获取地址列表
export const getAddressList = (params,succCallback,errorCallback) => {
	return request('api/address/list',params,'GET',succCallback,errorCallback)
};
